#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export GEM2DEB_TEST_RUNNER = --check-dependencies
GEM_VERSION=$(word 1, $(subst +, ,$(DEB_VERSION_UPSTREAM)))

%:
	dh $@ --buildsystem=ruby --with ruby

gemspec:
	gem fetch nokogiri
	gem specification nokogiri-$(GEM_VERSION).gem --ruby > debian/gemspec
	# remove reference to mini_portile2 gem
	sed -i '/mini_portile2/ d' debian/gemspec
	rm -rf nokogiri-$(GEM_VERSION).gem


override_dh_installman:
	mkdir man
	pod2man --center "" --release "" --name NOKOGIRI --utf8 debian/nokogiri.1.pod man/nokogiri.1
	dh_installman

override_dh_auto_clean:
	rm -rf man/
	dh_auto_clean

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md
